function y=calG_cafe(x)
/////////////////
//  calG_cafe 
// 
// Operateur d'observation non lineaire
//
// y : vecteur colonne des observations 
//
// x : vecteur colonne des parametres 
//
// timecalG : vecteur colonne des temps
//
//////////////////////////////////////////////

// tableau des temps pour le calcul des composantes de y
global timecalG

// stockage de timecalG dans t pour simplifier les notations
t=timecalG;

// restitution de notations du contenu de x
alpha=x(1); 
P=x(2);

// calcul des observations y = calG(x)
y=P/alpha*(1-exp(-alpha*t));

endfunction